<!DOCTYPE html>
<html lang="en">
    <head>

        <!-- Meta -->
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">

        <!-- App title -->
        <title>
            {{ trans('main.app.user_account_activate_title') }}
        </title>

        <!-- Tell the browser to be responsive to screen width -->
        <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
        <!-- Bootstrap 3.3.7 -->
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
        <!-- Font Awesome -->
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" integrity="sha256-eZrrJcwDc/3uDhsdt61sL2oOBY362qM3lon1gyExkL0=" crossorigin="anonymous" />
        <!-- Material Design icons -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
        <!-- Ionicons -->
        <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
        <!-- Theme style -->
        <link rel="stylesheet" href="{{ base_url() }}/public/css/back/app.min.css">

        <!-- Favicon : BROWSERS -->
        <link rel="icon" type="image/png" sizes="16x16" href="/assets/icons/icon_16.png">
        <link rel="icon" type="image/png" sizes="32x32" href="/assets/icons/icon_32.png">

        <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
        <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
        <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
        <![endif]-->

        <!-- Google Font -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
    </head>
    <body class="hold-transition lockscreen" style="height: 0">

        <div class="pull-right" style="width: 300px">
            <!-- including : FLASH messages -->
            {% include './@shared/callouts/tokenGenerated.twig' %}
        </div>

        <!-- Automatic element centering -->
        <div class="lockscreen-wrapper">
            <div class="lockscreen-logo">
                <b>{{ auth.user.first_name }}</b> {{ auth.user.middle_name ~" "~ auth.user.last_name }}
            </div>
            <div class="text-center">
                {{ trans('back.app.user_acct_activate_headline') }}<br>{{ trans('back.app.user_acct_activate_paragraf') }}
            </div>
            <!-- START LOCK SCREEN ITEM -->
            <div class="lockscreen-item">
                <!-- lockscreen image -->
                <div class="lockscreen-image">
                    <img src="{{ auth.user.img_avatar }}" alt="User profile of {{ auth.user.first_name }}">
                </div>
                <!-- lockscreen credentials (contains the form) -->
                <form class="lockscreen-credentials" action="{{ path_for('auth.activate.user-token') }}" method="post" role="form">
                    <div class="input-group">
                        <div class="{{ errors.token ? 'has-error' }} : ''">
                            <label for="token"></label>
                            <input name="token" id="token" type="text" class="form-control" placeholder="{{ trans('back.app.user_acct_activate_token') }}" autocomplete="off" >
                            {%  if errors.token %}
                                <span class="help-block">{{ errors.token | first }}</span>
                            {% endif %}
                        </div>
                        <div class="input-group-btn">
                            <button type="submit" class="btn"><i class="fa fa-arrow-right text-muted"></i></button>
                            <!-- CSRF protection -->
                            {{ csrf.field | raw }}
                        </div>
                    </div>
                </form>
            </div>
            <!-- xx -->
            <div class="help-block text-center" style="margin: -25px 0 20px 0">
                <form action="{{ path_for('auth.resend.user-token', {email: auth.user.email}) }}" method="post" role="form">
                    <button id="send-token-again" style="background: none; border: none" type="submit">
                        <i class="fa fa-repeat text-muted"></i>
                        {{ trans('back.app.user_acct_activate_resend') }}
                    </button>
                    <!-- CSRF protection -->
                    {{ csrf.field | raw }}
                </form>
            </div>
            <!-- xx -->
            <div class="help-block text-center">
                <a id="kundeservice">
                    <i class="fa fa-skype"></i>
                    {{ trans('back.app.user_acct_activate_customer') }}
                </a>
            </div>
            <!-- xx -->
            <div class="lockscreen-footer text-center">
                Copyright &copy; 2020 <b><a href="/" class="text-black">Element</a></b><br>
                - All rights Reserved | made with <i class="fa fa-heart" style="color: crimson"></i> by
                <a class="text-black" href="https://www.korfitz.com">Stefan</a>
            </div>
        </div>

        <!-- REQUIRED JS SCRIPTS -->
        <!-- jQuery 3 -->
        <script src="https://code.jquery.com/jquery-3.4.1.min.js" integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script>
        <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.min.js" integrity="sha256-VazP97ZCwtekAsvgPBSUwPFKdrwD3unUfSGVYrahUqU=" crossorigin="anonymous"></script>
        <!-- Bootstrap 3.3.7 -->
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>

        <script>
            //window.location.replace('/lock-system')
        </script>

        <script>

            $(document).ready(function(){

                window.setTimeout(function (){

                    $( '#tokenCallOut' ).hide("slide", {direction: "right"}, 1000);

                }, 3000);
            });

        </script>

    </body>
</html>
